
function QuickFlowerBoss()
    CMU("XXXX")
    KEY()
    MM0()SLR(0,PLY())
    WAI(16)
    FAO(0)
    MOV(28,20,PLY())
    MOV(30,20,1-PLY())
    SLR(0)
    FON("Camera1",1)
    FAI(2)
    WAI(16)
    CMP("cmpLayer_1","mainLayer","CS_pe_smoke")
    SOU("CS_012_block_destroy")
    AMC("normal",1)
    WAI(32)
    FON("Honeycomb1",16)
    WAI(32)
    ANP("BossCore","boot")
    WAI(32)
    FON("Camera2",16)
    WAI(32)
    DNP("Camera1")
    DNP("Camera2")
    FON("Camera3",16)
    CMU("CS_OppressionBetaExtra")
    BSL("BossCore")
end

function BossCore()
    KEY()
    KIL("CS_enemy_bee")
    KIL("CS_am_demonflower_seed")
    WAI(100)
    CMU("CS_Fanfale3")
    MS4("\n蜂巢&魔花 被击败了！")WAI(140)NOD()CLO()
    FLP("DefeatedFlower&Hive")
    FAO(2)TRA("CS_bossrush_mainstage","E0090",28,37)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",28,37)
end

function DeathByMovingPlatform()
    Died()
end